### Function

# Pango trim_string

deprecated: 1.38

#### Declaration [src]

    char*
    pango_trim_string (
      const char* str
    )

#### Description [src]

Trims leading and trailing whitespace from a string.

Deprecated since: 1.38

Please do not use it in newly written code.

#### Parameters

`str`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly-allocated string that must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.